Check agent execution eligibility
Checks whether a configured agent execution should run in a legacy integration flow.
Legacy note: this endpoint is maintained for existing V2 integrations. Prefer V3 for new API and agent workflows where an equivalent exists.
curl -X POST "https://api.textmine.com/agent/execution/check" \
-H "Content-Type: application/json" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer <ACCESS_TOKEN>" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-d '{}'
import requests
import json
url = "https://api.textmine.com/agent/execution/check"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
data = {}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://api.textmine.com/agent/execution/check", {
method: "POST",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
},
body: JSON.stringify({})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{}`)
req, err := http.NewRequest("POST", "https://api.textmine.com/agent/execution/check", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer <ACCESS_TOKEN>")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.textmine.com/agent/execution/check')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer <ACCESS_TOKEN>'
request['Authorization'] = 'Bearer YOUR_API_TOKEN'
request.body = '{}'
response = http.request(request)
puts response.body
{}
POST
/agent/execution/check
POST
Base URLstring
Target server for requests. Edit to use your own host.
Bearer Token
Bearer Tokenstring
RequiredBearer token - just enter the token, "Bearer" prefix will be added automatically
Content-Typestring
RequiredThe media type of the request body
Options: application/json
No request body parameters defined
Request Preview
Response
Response will appear here after sending the request
Authentication
header
Authorizationstring
RequiredBearer token. Authentication token required.
Headers
Content-Typestring
Example:
application/jsonAuthorizationstring
Example:
Bearer <ACCESS_TOKEN>Body
application/json
dataobject
RequiredRaw application/json data
Responses
Successful response
Was this page helpful?